org.apache.lucene.util.hppc

## Class IntIntHashMap.IntIntCursor

- java.lang.Object
- - org.apache.lucene.util.hppc.IntIntHashMap.IntIntCursor

Enclosing class:
  IntIntHashMap

    public final class IntIntHashMap.IntIntCursor
    extends Object

Forked from HPPC, holding int index,key and value

### Field Summary

Fields
`int` `index` The current key and value's index in the container this cursor belongs to.
`int` `key` The current key.
`int` `value` The current value.

### Constructor Summary

Constructors
Constructor and Description
`IntIntCursor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### index

    public int index

The current key and value's index in the container this cursor belongs to. The meaning of this index is defined by the container (usually it will be an index in the underlying storage buffer).

#### key

    public int key

The current key.

#### value

    public int value

The current value.

### Constructor Detail

#### IntIntCursor

    public IntIntCursor()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`